/** @type {import('@types/eslint').Linter.Config} */
module.exports = {
  root: true,
  extends: ["eslint:recommended"],
  plugins: ["@typescript-eslint"],
  env: {
    node: true,
  },
  overrides: [
    {
      parser: "@typescript-eslint/parser",
      parserOptions: {
        tsconfigRootDir: __dirname,
        project: ["./tsconfig.json"],
      },
      files: ["**/*.ts"],
      extends: [
        "plugin:@typescript-eslint/recommended",
        "plugin:@typescript-eslint/recommended-requiring-type-checking",
      ],
      rules: {
        "@typescript-eslint/no-explicit-any": "warn",
        "@typescript-eslint/ban-ts-comment": "warn",
        "@typescript-eslint/no-unsafe-argument": "warn",
        "@typescript-eslint/no-unsafe-call": "warn",
        "@typescript-eslint/no-unsafe-member-access": "warn",
        "no-extra-semi": "off",
      },
    },
  ],
}
